Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.crypto.params
Class GOST3410KeyParameters

    java.lang.Object
      org.bouncycastle.crypto.params.AsymmetricKeyParameter
          org.bouncycastle.crypto.params.GOST3410KeyParameters

All Implemented Interfaces:
  CipherParameters

Direct Known Subclasses:
  GOST3410PrivateKeyParameters, GOST3410PublicKeyParameters

    public class GOST3410KeyParameters

extends AsymmetricKeyParameter

Constructor Summary
`GOST3410KeyParameters(boolean isPrivate, GOST3410Parameters params)`

Method Summary
`GOST3410Parameters` `getParameters()`

Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter
`isPrivate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GOST3410KeyParameters

    public GOST3410KeyParameters(boolean isPrivate,
                                 GOST3410Parameters params)

Method Detail

### getParameters

    public GOST3410Parameters getParameters()

Bouncy Castle Cryptography Library 1.45